PUTS(3S)

NAME
puts, fputs - put a string on a stream

SYNOPSIS
#include <stdio.h>

puts(s)
char *s;

fputs(s, stream)
char *s;
FILE *stream;

DESCRIPTION
Puts copies the null-terminated string s to the standard output stream stdout and appends a newline character.

Fputs copies the null-terminated string s to the named output stream.

Neither routine copies the terminal null character.

SEE ALSO
fopen(3S), gets(3S), putc(3S), printf(3S), ferror(3S)
fread(3S) for fwrite

BUGS
Puts appends a newline, fputs does not, all in the name of backward compatibility.